## python-oslo.concurrency 3.21.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
six>=1.9.0 # MIT
fasteners>=0.7 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (3.21.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 13:44:35 +0000

python-oslo.concurrency (3.21.0-0ubuntu2) artful; urgency=medium

  * d/control: Fix typo for python3-oslo.i18n.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 09:14:21 -0400

python-oslo.concurrency (3.21.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:39:38 -0400

python-oslo.concurrency (3.20.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:26 +0100

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0),
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures (>= 3.0),
                     python-coverage (>= 4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fasteners (>= 0.7),
                     python-fixtures (>= 3.0.0),
                     python-greenlet,
                     python-iso8601,
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-posix-ipc,
                     python-six (>= 1.9.0),
                     python3-coverage (>= 4.0),
                     python3-eventlet (>= 0.18.2),
                     python3-fasteners (>= 0.7),
                     python3-fixtures (>= 3.0.0),
                     python3-greenlet,
                     python3-iso8601,
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-posix-ipc,
                     python3-six (>= 1.9.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
Homepage: https://github.com/openstack/oslo.concurrency
Testsuite: autopkgtest-pkg-python

Package: python-oslo.concurrency
Architecture: all
Depends: python-concurrent.futures,
         python-enum34,
         python-fasteners (>= 0.7),
         python-fixtures (>= 3.0.0),
         python-iso8601,
         python-oslo.config (>= 1:4.0.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 2.0),
         python-posix-ipc,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo.concurrency-doc,
Breaks: python-oslo-concurrency (<< 1.10.0-1~),
Replaces: python-oslo-concurrency (<< 1.10.0-1~),
Description: concurrency and locks for OpenStack projects - Python 2.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.concurrency
Architecture: all
Depends: python3-eventlet (>= 0.18.2),
         python3-fasteners (>= 0.7),
         python3-fixtures (>= 3.0.0),
         python3-iso8601,
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 2.0),
         python3-posix-ipc,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo.concurrency-doc,
Breaks: python3-oslo-concurrency (<< 1.10.0-1~),
Replaces: python3-oslo-concurrency (<< 1.10.0-1~),
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo.concurrency-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

## python-oslo.concurrency 3.25.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
oslo.config>=5.1.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
six>=1.10.0 # MIT
fasteners>=0.7.0 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (3.25.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 13:58:00 -0500

python-oslo.concurrency (3.23.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop Breaks/Replaces. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 15:17:38 +0000

python-oslo.concurrency (3.21.0-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/rules: Run all tests.
    - d/control: Retain Breaks/Replaces.
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.
    - d/p/lock-path-tempfile.patch: Cherry picked from upstream to set default
      of lock_file to a tempfile if OSLO_LOCK_PATH isn't set (LP: #1550188).
    - d/p/fix-tests-i386.patch: Fix tests that fail on i386 builds.
    - d/watch: Use tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 10:19:29 -0400

python-oslo.concurrency (3.21.0-2) unstable; urgency=medium

  * Disable some unit tests failing on i386 (Closes: #880227).
  * Using pkgos-dh_auto_test.
  * Watch file using https.
  * Standards-Version is now 4.1.1.
  * Using pkgos-dh_auto_install.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:10:59 +0000

python-oslo.concurrency (3.21.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed all patches: either not relevant or applied upstream.
  * debian/gbp.conf to use debian/pike as packaging branch.
  * Removed now useless transition packages.
  * Fixed debian/copyright holders.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 19:34:28 +0000

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-concurrent.futures (>= 3.0.0),
 python-coverage (>= 4.0),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fasteners (>= 0.7.0),
 python-fixtures (>= 3.0.0),
 python-greenlet,
 python-hacking (>= 0.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:1.10.0),
 python-posix-ipc,
 python-six (>= 1.10.0),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fasteners (>= 0.7.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-hacking (>= 0.12.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-posix-ipc,
 python3-six (>= 1.10.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/oslo/python-oslo.concurrency.git
Vcs-Git: https://anonscm.debian.org/git/openstack/oslo/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency
Architecture: all
Depends:
 python-concurrent.futures (>= 3.0.0),
 python-enum34 (>= 1.0.4),
 python-fasteners (>= 0.7.0),
 python-fixtures,
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-posix-ipc,
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: concurrency and locks for OpenStack projects - Python 2.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo.concurrency-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fasteners (>= 0.7.0),
 python3-fixtures,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-posix-ipc,
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.concurrency 3.27.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
-oslo.config>=5.1.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 six>=1.10.0 # MIT

=== debian/changelog ===
python-oslo.concurrency (3.27.0-3) unstable; urgency=medium

  * Removed python{3,}-posix-ipc as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 11:28:23 +0200

python-oslo.concurrency (3.27.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 16:52:58 +0200

python-oslo.concurrency (3.27.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 12:12:10 +0200

python-oslo.concurrency (3.25.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:15:05 +0000

python-oslo.concurrency (3.25.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 14:19:47 +0100

python-oslo.concurrency (3.21.0-3) unstable; urgency=medium

  * Apply Ubuntu patch to fix unit tests on i386 (those tests which I disabled
    in previous Debian release). Now running all tests again. (Closes: #880597)

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 22:13:09 +0100

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-concurrent.futures,
 python-coverage,
 python-enum34,
 python-eventlet,
 python-fasteners,
 python-fixtures,
 python-greenlet,
 python-hacking,
 python-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-six,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-greenlet,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency
Architecture: all
Depends:
 python-concurrent.futures,
 python-enum34,
 python-fixtures,
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: concurrency and locks for OpenStack projects - Python 2.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fixtures,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/oslo.concurrency/oslo.concurrency-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.concurrency 3.29.1

=== debian/changelog ===
python-oslo.concurrency (3.29.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:56:17 +0200

python-oslo.concurrency (3.29.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed installation of alternatives.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 15:35:20 +0100

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-greenlet,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-six,
 python3-stestr,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fixtures,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.concurrency 3.30.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.concurrency (3.30.0-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-train.debian.net>  Wed, 11 Sep 2019 15:15:13 +0000

python-oslo.concurrency (3.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2019 17:10:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,31 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-hacking,
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
  python3-eventlet,
  python3-fasteners,
  python3-fixtures,
  python3-greenlet,
+ python3-hacking,
+ python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.utils,
  python3-oslotest,
  python3-six,
+ python3-sphinxcontrib.apidoc,
  python3-stestr,
  subunit,
  testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
 Homepage: https://github.com/openstack/oslo.concurrency

## python-oslo.concurrency 4.0.0

=== debian/changelog ===
python-oslo.concurrency (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 14:39:02 -0400

python-oslo.concurrency (3.31.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:35:14 +0000

python-oslo.concurrency (3.30.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:10:59 +0200

python-oslo.concurrency (3.30.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:20:02 -0400

python-oslo.concurrency (3.29.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-oslo.concurrency binary package.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 11:18:50 +0200

python-oslo.concurrency (3.29.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:02:30 +0000

python-oslo.concurrency (3.29.0-0ubuntu1) disco; urgency=medium

  * d/python3-oslo.concurrency.postinst: Bump priority of py3
    alternatives.
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:19:37 +0000

python-oslo.concurrency (3.28.1-0ubuntu2) disco; urgency=medium

  * d/control: python-openstackdocstheme -> python3-openstackdocstheme.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:39:24 +0000

python-oslo.concurrency (3.28.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:17:37 +0000

python-oslo.concurrency (3.27.0-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/compat: Set debhelper compat to >= 10 and standards
      version to 4.1.2.
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 13:39:44 -0400

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fasteners (>= 0.7.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-hacking (>= 1.1.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fasteners (>= 0.7.0),
 python3-fixtures,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-posix-ipc,
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.concurrency 4.0.2

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=1.8.0,!=2.1.0 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.concurrency (4.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:45:31 -0400

python-oslo.concurrency (4.0.0-0ubuntu2) focal; urgency=medium

  * d/control: Really drop python3-posix-ipc (LP: #1851537).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 15:33:50 +0100

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,6 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-posix-ipc,
  python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc
endif

## python-oslo.concurrency 4.0.3

=== debian/changelog ===
python-oslo.concurrency (4.0.3-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-ussuri.infomaniak.ch>  Fri, 20 Nov 2020 06:57:22 +0000

python-oslo.concurrency (4.0.3-1) unstable; urgency=medium

  * New upstream version 

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 20 Nov 2020 07:48:27 +0100

python-oslo.concurrency (4.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:52:00 +0200

python-oslo.concurrency (4.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:27:17 +0200

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fixtures,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.concurrency 4.3.0

=== debian/changelog ===
python-oslo.concurrency (4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:33:37 -0400

python-oslo.concurrency (4.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:31:20 +0000

python-oslo.concurrency (4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:38:23 -0400

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.19.0),
 python3-fasteners (>= 0.7.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fasteners (>= 0.7.0),
 python3-fixtures,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.concurrency 4.3.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.concurrency (4.3.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:20:40 +0100

python-oslo.concurrency (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:24:01 +0200

python-oslo.concurrency (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:42:35 +0200

python-oslo.concurrency (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 20:49:03 +0200

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fixtures,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.concurrency 4.4.0

=== debian/changelog ===
python-oslo.concurrency (4.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:18:21 +0000

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.19.0),
 python3-fasteners (>= 0.7.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.concurrency
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.concurrency
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fasteners (>= 0.7.0),
 python3-fixtures,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.concurrency 4.4.1

=== debian/changelog ===
python-oslo.concurrency (4.4.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 09:45:01 +0000

python-oslo.concurrency (4.4.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 13:26:41 +0000

## python-oslo.concurrency 4.5.0

=== requirements.txt ===
--- 
+++ 
@@ -6,5 +6,4 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-six>=1.10.0 # MIT
 fasteners>=0.7.0 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (4.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:31:15 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=oslo_concurrency
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

## python-oslo.concurrency 5.0.1

=== debian/changelog ===
python-oslo.concurrency (5.0.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:43:40 +0200

python-oslo.concurrency (5.0.1-2) experimental; urgency=medium

  * Re-enable remove-TestInternalLock.patch, and use, to run tests:
    TEST_EVENTLET=0 lockutils-wrapper.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2022 16:50:20 +0200

python-oslo.concurrency (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Add remove-TestInternalLock.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2022 10:28:26 +0200

python-oslo.concurrency (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:47:08 +0200

python-oslo.concurrency (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 15:11:51 +0100

python-oslo.concurrency (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:22:05 +0100

python-oslo.concurrency (4.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:55:41 +0200

python-oslo.concurrency (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of python3-openstackdocstheme.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:01:13 +0100

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet,
 python3-fixtures,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		rm -rf .stestr ;\
		PATH=$$PATH:$(CURDIR)/debian/exe-test PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i TEST_EVENTLET=0 lockutils-wrapper stestr run --parallel --subunit | subunit2pyunit ; \
		PATH=$$PATH:$(CURDIR)/debian/exe-test PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i TEST_EVENTLET=1 lockutils-wrapper stestr run --parallel --subunit | subunit2pyunit ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	echo "Tests not ran here..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc
endif

## python-oslo.concurrency 5.1.1

=== debian/changelog ===
python-oslo.concurrency (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:15:09 +0100
